Skip to main content

Get Associations

GET 

/v1/connector/get_associations/:workspace_id

Search for associations between a single connector and collections in a workspace.

Args:

connector_collection_repository (ConnectorCollectionRepository): The repository for managing associations between connectors and collections. workspace_id (str): The workspace_id of the connector to be created. user (TokenData): The token data of the authenticated user. connector_id (str): Optional to filter the response collection_id (str): Optional parameter to filter the response id (str): Optional - association id between a connector and a collection

Returns:

List[GetAssociationSuccessfulResponse]: a list of associations

Important observations:

  • if there are no filters, it will return all associations from the specified workspace
  • if only the connector_id is provided, it will return all associations from the specified connector
    • useful to search the collections that a particular connector is associated to
  • if only the collection_id is provided, it will return all associations from the specified collection
    • useful to search the connectors that associates with a particular collection
  • if nothing matches the filters, it will return an empty list

Request

Responses

Successful Response